/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////
/// JD Soft.
/// Jose-David.Guillen@cs.us.es
///
/// Servicio de programación de Pág.Web ---> Consulte precios (e-mail)<---
/////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////


//Imagenes ON/OFF
var iON = new Image();
iON.scr = "on.GIF";
var iOFF = new Image();
iOFF.scr = "off.GIF";


// Definimos los bloques de selección
var precioTotal = 0.0;
var cpuAnterior = "null";	var cpuValor = 0.0;
var monitorAnterior = "null";	var monitorValor = 0.0;
var sonidoAnterior = "null";	var sonidoValor = 0.0;

var videoAnterior = "null";	var videoValor = 0.0;
var ramAnterior = "null";	var ramValor = 0.0;
var hdAnterior = "null";	var hdValor = 0.0;

var modemAnterior = "null";	var modemValor = 0.0;
var wormAnterior = "null";	var wormValor = 0.0;
var cajaAnterior = "null";	var cajaValor = 0.0;

var impresoraAnterior = "null";	var impresoraValor = 0.0;


var scannerAnterior = "null";	var scannerValor = 0.0;
var scsiiAnterior = "null";	var scsiiValor = 0.0;
var saiAnterior = "null";	var saiValor = 0.0;

var softwareAnterior = "null";	var softwareValor = 0.0;
var vconfAnterior = "null";	var vconfValor = 0.0;

function fclick( Grupo, Nombre )
{
 switch ( Grupo )
 { 
   // CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU 
   // CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU 
   // CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU CPU 
   case "cpu":
		precioTotal = eval(precioTotal) - eval(cpuValor);		
		document.images[cpuAnterior].src=iOFF.scr;
		if ( cpuAnterior==Nombre ) { cpuAnterior="null"; cpuValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		cpuAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "cl1":	cpuValor=98900;			break;
		case "cl2":	cpuValor=101000;		break;
		case "cl3":	cpuValor=118000;		break;
		case "cl4":	cpuValor=143000;		break;
		case "cl5":	cpuValor=76500;			break;
		case "cl6":	cpuValor=79500;			break;
		case "cl7":	cpuValor=82000;			break;
		case "cl8":	cpuValor=88000;			break;
		}
		precioTotal = eval(cpuValor) + eval(precioTotal);		
		break;
   // MONITOR MONITOR  MONITOR  MONITOR  MONITOR  MONITOR  MONITOR 
   // MONITOR MONITOR  MONITOR  MONITOR  MONITOR  MONITOR  MONITOR 
   // MONITOR MONITOR  MONITOR  MONITOR  MONITOR  MONITOR  MONITOR 
   case "monitor":
		precioTotal = eval(precioTotal) - eval(monitorValor);
		document.images[monitorAnterior].src=iOFF.scr;
		if ( monitorAnterior==Nombre ) { monitorAnterior="null"; monitorValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		monitorAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "ml1":	monitorValor=15800;		break;
		case "ml2":	monitorValor=17800;		break;
		case "ml3":	monitorValor=30000;		break;
		case "ml4":	monitorValor=79000;		break;
		}
		precioTotal = eval(monitorValor) + eval(precioTotal);
		break;
   // SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO 
   // SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO 
   // SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO SONIDO 
   case "sonido":
		precioTotal = eval(precioTotal) - eval(sonidoValor);
		document.images[sonidoAnterior].src=iOFF.scr;
		if ( sonidoAnterior==Nombre ) { sonidoAnterior="null"; sonidoValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		sonidoAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "sl1":	sonidoValor=16900;		break;
		case "sl2":	sonidoValor=17900;		break;
		case "sl3":	sonidoValor=21000;		break;
		case "sl4":	sonidoValor=39000;		break;
		}
		precioTotal = eval(sonidoValor) + eval(precioTotal);
		break; 
   // VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO 
   // VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO 
   // VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO VIDEO 
   case "video":
		precioTotal = eval(precioTotal) - eval(videoValor);		
		document.images[videoAnterior].src=iOFF.scr;
		if ( videoAnterior==Nombre ) { videoAnterior="null"; videoValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		videoAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "vl1":	videoValor=2000;			break;
		case "vl2":	videoValor=9000;		break;
		case "vl3":	videoValor=14000;		break;
		case "vl4":	videoValor=10000;		break;
		}
		precioTotal = eval(videoValor) + eval(precioTotal);		
		break;
   // RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM
   // RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM
   // RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM
   // RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM RAM
   case "ram":
		precioTotal = eval(precioTotal) - eval(ramValor);		
		document.images[ramAnterior].src=iOFF.scr;
		if ( ramAnterior==Nombre ) { ramAnterior="null"; ramValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		ramAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "rl1":	ramValor=5000;			break;
		case "rl2":	ramValor=17000;			break;
		case "rl3":	ramValor=5500;			break;
		case "rl4":	ramValor=17500;		break;
		}
		precioTotal = eval(ramValor) + eval(precioTotal);		
		break;
   // HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD 
   // HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD 
   // HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD HD 
   case "hd":
		precioTotal = eval(precioTotal) - eval(hdValor);		
		document.images[hdAnterior].src=iOFF.scr;
		if ( hdAnterior==Nombre ) { hdAnterior="null"; hdValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		hdAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "hl1":	hdValor=1000;			break;
		case "hl2":	hdValor=3500;			break;
		case "hl3":	hdValor=7500;			break;
		case "hl4":	hdValor=37000;			break;
		}
		precioTotal = eval(hdValor) + eval(precioTotal);		
		break;
   // MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM
   // MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM
   // MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM MODEM
   case "modem":
		precioTotal = eval(precioTotal) - eval(modemValor);		
		document.images[modemAnterior].src=iOFF.scr;
		if ( modemAnterior==Nombre ) { modemAnterior="null"; modemValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		modemAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "mdl1":	modemValor=5900;			break;
		case "mdl2":	modemValor=13000;			break;
		case "mdl3":	modemValor=3200;			break;
		case "mdl4":	modemValor=4000;			break;
		}
		precioTotal = eval(modemValor) + eval(precioTotal);		
		break;
   // GRABADORAS GRABADORAS GRABADORAS GRABADORAS GRABADORAS GRABADORAS 	
   // GRABADORAS GRABADORAS GRABADORAS GRABADORAS GRABADORAS GRABADORAS 	
   // GRABADORAS GRABADORAS GRABADORAS GRABADORAS GRABADORAS GRABADORAS 	
   case "worm":
		precioTotal = eval(precioTotal) - eval(wormValor);		
		document.images[wormAnterior].src=iOFF.scr;
		if ( wormAnterior==Nombre ) { wormAnterior="null"; wormValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		wormAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "gl1":	wormValor=40000;			break;
		case "gl2":	wormValor=44000;			break;
		case "gl3":	wormValor=54500;			break;
		case "gl4":	wormValor=38000;			break;
		}
		precioTotal = eval(wormValor) + eval(precioTotal);		
		break;
   // CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS
   // CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS
   // CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS CAJAS
   case "caja":
		precioTotal = eval(precioTotal) - eval(cajaValor);		
		document.images[cajaAnterior].src=iOFF.scr;
		if ( cajaAnterior==Nombre ) { cajaAnterior="null"; cajaValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		cajaAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "cal1":	cajaValor=1700;		break;
		case "cal2":	cajaValor=900;		break;
		case "cal3":	cajaValor=5500;		break;
		case "cal4":	cajaValor=7500;		break;
		}
		precioTotal = eval(cajaValor) + eval(precioTotal);		
		break;
   // IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA
   // IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA
   // IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA IMPRESORA
   case "impresora":
		precioTotal = eval(precioTotal) - eval(impresoraValor);		
		document.images[impresoraAnterior].src=iOFF.scr;
		if ( impresoraAnterior==Nombre ) { impresoraAnterior="null"; impresoraValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		impresoraAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "il1":	impresoraValor=21000;		break;
		case "il2":	impresoraValor=29000;		break;
		case "il3":	impresoraValor=52000;		break;

		case "il4":	impresoraValor=23500;		break;
		case "il5":	impresoraValor=28200;		break;
		case "il6":	impresoraValor=67000;		break;

		case "il7":	impresoraValor=15000;		break;
		case "il8":	impresoraValor=27000;		break;
		case "il9":	impresoraValor=35000;		break;

		case "ilA":	impresoraValor=17000;		break;
		case "ilB":	impresoraValor=22000;		break;
		case "ilC":	impresoraValor=50000;		break;
		}
		precioTotal = eval(impresoraValor) + eval(precioTotal);		
		break;
   // SCANNER SCANNER SCANNER SCANNER SCANNER SCANNER SCANNER
   // SCANNER SCANNER SCANNER SCANNER SCANNER SCANNER SCANNER
   // SCANNER SCANNER SCANNER SCANNER SCANNER SCANNER SCANNER
   case "scan":
		precioTotal = eval(precioTotal) - eval(scannerValor);		
		document.images[scannerAnterior].src=iOFF.scr;
		if ( scannerAnterior==Nombre ) { scannerAnterior="null"; scannerValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		scannerAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "scanl1":	scannerValor=8000;		break;
		case "scanl2":	scannerValor=10500;		break;
		case "scanl3":	scannerValor=35000;		break;
		}
		precioTotal = eval(scannerValor) + eval(precioTotal);		
		break;
   // SCSII SCSII SCSII SCSII SCSII SCSII SCSII SCSII SCSII
   // SCSII SCSII SCSII SCSII SCSII SCSII SCSII SCSII SCSII
   // SCSII SCSII SCSII SCSII SCSII SCSII SCSII SCSII SCSII
   case "scsi":
		precioTotal = eval(precioTotal) - eval(scsiiValor);		
		document.images[scsiiAnterior].src=iOFF.scr;
		if ( scsiiAnterior==Nombre ) { scsiiAnterior="null"; scsiiValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		scsiiAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "scsil1":	scsiiValor=7000;		break;
		case "scsil2":	scsiiValor=24000;		break;
		case "scsil3":	scsiiValor=30000;		break;
		}
		precioTotal = eval(scsiiValor) + eval(precioTotal);		
		break;
   // SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI
   // SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI
   // SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI SAI
   case "sai":
		precioTotal = eval(precioTotal) - eval(saiValor);		
		document.images[saiAnterior].src=iOFF.scr;
		if ( saiAnterior==Nombre ) { saiAnterior="null"; saiValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		saiAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "sail1":	saiValor=16000;		break;
		case "sail2":	saiValor=19000;		break;
		case "sail3":	saiValor=22000;		break;
		}
		precioTotal = eval(saiValor) + eval(precioTotal);		
		break;
   // VideoConferencia VideoConferencia VideoConferencia VideoConferencia
   // VideoConferencia VideoConferencia VideoConferencia VideoConferencia
   // VideoConferencia VideoConferencia VideoConferencia VideoConferencia
   case "videoconf":
		precioTotal = eval(precioTotal) - eval(vconfValor);		
		document.images[vconfAnterior].src=iOFF.scr;
		if ( vconfAnterior==Nombre ) { vconfAnterior="null"; vconfValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		vconfAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "vcl1":	vconfValor=16000;		break;
		case "vcl2":	vconfValor=36000;		break;
		case "vcl3":	vconfValor=15000;		break;
		}
		precioTotal = eval(vconfValor) + eval(precioTotal);		
		break;
   // software software software software software software
   // software software software software software software
   // software software software software software software
   case "software":
		precioTotal = eval(precioTotal) - eval(softwareValor);		
		document.images[softwareAnterior].src=iOFF.scr;
		if ( softwareAnterior==Nombre ) { softwareAnterior="null"; softwareValor=0.0; break; }
		document.images[Nombre].src=iON.scr;
		softwareAnterior = Nombre;
		switch( Nombre )
		{
		// Cada l# simboliza la linea asociada en la página web
		case "sfl1":	softwareValor=14100;		break;
		case "sfl2":	softwareValor=81000;		break;
		case "sfl3":	softwareValor=00000;		break;
		}
		precioTotal = eval(softwareValor) + eval(precioTotal);		
		break;
}
 ActualizaTOTAL();
}

function ActualizaTOTAL()
{
 window.status = "TOTAL: " + eval(precioTotal) + " +IVA  (" + Math.round(eval(precioTotal)*1.16) +" Ptas)";
}